## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 24;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:       python-astor
Version:    0.8.1
Release:    %autorelease
Summary:    Read/rewrite/write Python ASTs

%global forgeurl https://github.com/berkerpeksag/astor
%global tag %{version}
%forgemeta

License:    BSD-3-Clause
URL:        https://astor.readthedocs.io/
Source:     %forgesource
# Apply patch solving issues with test exceeding max digit limit
# https://github.com/berkerpeksag/astor/pull/213
Patch:      https://github.com/berkerpeksag/astor/pull/213.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%global _description %{expand:
astor is designed to allow easy manipulation of Python source via the AST.

For more information see: https://astor.readthedocs.io/}

%description %_description

%package -n python3-astor
Summary:    %{summary}

%description -n python3-astor %_description

%prep
%forgeautosetup -p1
# Remove unnecessary shebang
sed -i '/\/usr\/bin\/env.*python/ d' astor/rtrip.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l astor


%check
# test_convert_stdlib fails with
# `AttributeError: No defined handler for node of type TypeAlias`
%pytest -v --ignore tests/test_rtrip.py

%files -n python3-astor -f %{pyproject_files}
%doc README.*


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 09 2024 Sandro <devel@penguinpee.nl> - 0.8.1-23
- Revert to pytest

* Mon Jun 17 2024 Sandro <devel@penguinpee.nl> - 0.8.1-22
- Drop dependency on astunparse

* Sat May 18 2024 Sandro <devel@penguinpee.nl> - 0.8.1-19
- Use nosetests for running tests

* Sat May 18 2024 Sandro <devel@penguinpee.nl> - 0.8.1-17
- Migrate to SPDX license

* Sat May 18 2024 Sandro <devel@penguinpee.nl> - 0.8.1-13
- Use spaces instead of tabs

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.8.1-9
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Nov 12 2022 Sandro <devel@penguinpee.nl> - 0.8.1-7
- Fix failing test due to Python string length limit

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.8.1-5
- Rebuilt for Python 3.11

* Sat Jan 22 2022 Vanessa_kris <vanessaigwe1@gmail.com> - 0.8.1-4
- initial import to src.fp.o

* Sat Jan 22 2022 Vanessa_kris <vanessaigwe1@gmail.com> - 0.8.1-3
- minor tweaks

* Sat Jan 22 2022 Vanessa_kris <vanessaigwe1@gmail.com> - 0.8.1-2
- initial build

* Sat Jan 22 2022 Vanessa_kris <vanessaigwe1@gmail.com> - 0.8.1-1
- initial build
## END: Generated by rpmautospec
